Summary: GNOME Data Analysis and Visualization.
Name: Guppi
Version: 0.35.5
Release: 7
Copyright: GPL
Group: Applications/Engineering
Source: ftp://ftp.gnome.org/pub/guppi/%{name}-%{version}.tar.bz2
Patch1: Guppi-0.35.5-config.patch
Patch2: Guppi-libs.patch
Url: http://www.gnome.org/guppi
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: guile >= 1.3.4
BuildPrereq: gnome-libs-devel, VFlib2-devel, guile-devel, libxml-devel
BuildPrereq: bonobo-devel, libglade-devel, gdk-pixbuf-devel, gnome-print-devel

%description
Guppi is a GNOME-based data analysis and visualization system.

Install this package if you want to use Guppi.

%package devel
Summary: Libraries and include files to develop Guppi-based applications
Group: Development/Libraries
Requires: Guppi = %{version}
Requires: gnome-libs-devel gnome-print-devel bonobo-devel
Requires: guile-devel

%description devel
The Guppi-devel package includes the static libraries and header files
for the Guppi package.

Install Guppi-devel if you want to develop programs which will use the
Guppi libraries.

%prep
%setup -q
%patch1 -p1 -b .config
%patch2 -p1 -b .libs

%build
%configure --disable-gtk-doc

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS BIBLIOGRAPHY NEWS README
%attr(755,root,root) %{_bindir}/*
%{_libdir}/guppi
%{_libdir}/lib*.so.*
%{_datadir}/gnome/apps/Applications/guppi.desktop
%{_datadir}/gnome/help/guppi
%{_datadir}/guppi
%{_datadir}/oaf/GNOME_Guppi.oafinfo
%{_datadir}/pixmaps/guppi
%{_datadir}/pixmaps/gnome-guppi.png

%files devel
%defattr(-, root, root)
%{_prefix}/include/libguppi
%{_prefix}/include/libguppitank
%{_libdir}/lib*.so
%{_libdir}/lib*a
%{_libdir}/*.sh
%{_datadir}/aclocal/libguppi.m4

%changelog
* Mon Aug  6 2001 Bill Nottingham <notting@redhat.com>
- add some build dependencies (#49790)

* Thu Jul 19 2001 Bill Nottingham <notting@redhat.com>
- add some more requirements to the -devel package

* Fri Jul  6 2001 Bill Nottingham <notting@redhat.com>
- sanitize, fix up various directory ownerships
- fix up all the library linkage dependencies

* Thu Jul 05 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add --disable-gtk-doc as Owen Taylor said

* Thu Jun 28 2001 Than Ngo <than@redhat.com>
- add patch to ignore DISPLAY enviroment

* Fri Jun  1 2001 Bill Nottingham <notting@redhat.com>
- sanitize spec file some

* Mon Apr 04 2001 John Gotts <jgotts@linuxsavvy.com>

- Vastly improved spec file.

* Sat Mar 04 2000 Jon Trowbridge <trow@gnu.org>

- Converted Guppi.spec to Guppi.spec.in.
- Tweaked the language in the summary & description.

* Mon Feb 28 2000 Jon Trowbridge <trow@gnu.org>

- Changed version to 0.34.3.

* Wed Feb 23 2000 Jon Trowbridge <trow@gnu.org>

- Updated to 0.34.2.

* Mon Feb 22 2000 Kenny Graunke <graunke@teleport.com>

- Updated to 0.34.1 (using repackaged source, ugh), spec file rewrite
- This 0.34.1 source disables readline due to broken libguilereadline.so
  problems in every guile 1.3.4 x86 RPM I've seen...

* Wed Jan 26 2000 Conrad Steenberg <conrad@srl.caltech.edu>

- Some Alpha fixes for configure
- Remove some unneeded stripping foo and just do a 'make install-strip' instead.
- Move this changelog to the bottom of the file :-)

* Mon Jan 24 2000 Kenny Graunke <graunke@teleport.com>

- First Guppi RPM
